## org.eclipse.datatools.modelbase.sql.query
Interface QueryValues

All Superinterfaces:
  QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  QueryValuesImpl

public interface QueryValues
extends QueryExpressionBody

A representation of the model object 'Values'.

The following features are supported:

- `Values Row List`

See Also:
  `SQLQueryModelPackage.getQueryValues()`

Method Summary
`EList` `getValuesRowList()` Returns the value of the 'Values Row List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValuesRowList

    public EList getValuesRowList()

  Returns the value of the 'Values Row List' containment reference list. The list contents are of type `ValuesRow`. It is bidirectional and its opposite is '`Query Values`'.

  If the meaning of the 'Values Row List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values Row List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryValues_ValuesRowList()`, `ValuesRow.getQueryValues()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.